import unittest
from support import GNATCOLL_TestCase, chdir, pathsep, requires_gmp
import os


class Test(GNATCOLL_TestCase):
    @requires_gmp
    @chdir("./")
    def test_gmp(self):
        self.gprbuild("gmp_tests.gpr")
        self.runexec("obj/test_gmp", "log_reference.txt")
